Skip to content
V2 (Legacy) API ReferenceGet started

Remove a participant from a chat

DELETE/v3/chats/{chatId}/participants

Remove a participant from an existing group chat.

Requirements:

  • Group chats only
  • Must have 3+ participants after removal
Path ParametersExpand Collapse
chatId: string
formatuuid
Body ParametersJSONExpand Collapse
handle: string

Phone number (E.164 format) or email address of the participant to remove

ReturnsExpand Collapse
message: optional string
status: optional string
trace_id: optional string

Remove a participant from a chat

curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID/participants \
    -X DELETE \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "message": "Participant removal queued",
  "status": "accepted",
  "trace_id": "trace_id"
}
{
  "error": {
    "status": 400,
    "code": 1002,
    "message": "Phone number must be in E.164 format"
  },
  "success": false
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 409,
    "code": 2013,
    "message": "This chat is unavailable"
  }
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}
Returns Examples
{
  "message": "Participant removal queued",
  "status": "accepted",
  "trace_id": "trace_id"
}
{
  "error": {
    "status": 400,
    "code": 1002,
    "message": "Phone number must be in E.164 format"
  },
  "success": false
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 409,
    "code": 2013,
    "message": "This chat is unavailable"
  }
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}